import 'package:flutter/material.dart';
import 'package:ai_app/globals/global_variables.dart' as global_variables;

class GlobalFunctions {
  Size screenSize(BuildContext context) {
    return MediaQuery.of(context).size;
  }

  double setHeight(BuildContext context, double height) {
    return screenSize(context).height /
        (global_variables.screenHeight / height);
  }

  double setWidth(BuildContext context, double width) {
    return screenSize(context).width / (global_variables.screenWidth / width);
  }

  void showInSnackBar(GlobalKey<ScaffoldState> _scaffoldKey, String message) {
    // ignore: deprecated_member_use
    _scaffoldKey.currentState?.showSnackBar(SnackBar(content: Text(message)));
  }
}
